
def dummyPublisher(processImage):
    while True:
        with processImage:
            processImage.wait()

            discreteInputChangeset = processImage.getChangedDiscreteInputs()
            analogInputChangeset = processImage.getChangedAnalogsInputs()

        for discreteInputChangeItem in discreteInputChangeset:
            print("Discrete input {} changed from {} to {}"
                    .format(discreteInputChangeItem[0],
                            discreteInputChangeItem[1][1],
                            discreteInputChangeItem[1][0]))

        for analogInputChangeItem in analogInputChangeset:
            print("Analog input {} changed from {} to {}"
                    .format(analogInputChangeItem[0],
                            analogInputChangeItem[1][1],
                            analogInputChangeItem[1][0]))


